Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class AccessControlListResolver.ResolutionGranteeEntry

    java.lang.Object
      oracle.ifs.server.AccessControlListResolver.ResolutionGranteeEntry

Enclosing class:
  AccessControlListResolver

    protected final class AccessControlListResolver.ResolutionGranteeEntry

extends java.lang.Object

Model the resolution of a grantee.

Field Summary
`protected int[]` | `m_AceIndexes` Indexes of the ACEdata elements that have the same grantee ID as this entry.
`protected java.lang.Long` | `m_GranteeId` The grantee ID.
`protected boolean` | `m_HasGrantedAce` Does this grantee have at least one grant ACE?
`protected boolean` | `m_IsGranteeGroup` Does this grantee have at least one grant ACE?
`protected boolean` | `m_IsGranteeWorldGroup` Does this grantee have at least one grant ACE?
`protected boolean` | `m_IsNonconforming` Is this grantee non-conforming

Constructor Summary
`protected` | `AccessControlListResolver.ResolutionGranteeEntry(java.lang.Long granteeId, boolean hasGrantedAce, boolean isGroup, int[] aceIndexes, int indexCount)` Constructs a ResolutionGranteeEntry, with each member of the struct.

Method Summary
`protected S_DirectoryObject` | `getGrantee(S_LibrarySession sess)` Gets the grantee.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_GranteeId

    protected java.lang.Long m_GranteeId

  Description copied from class: `AccessControlListResolver.ResolutionGranteeEntry`
  The grantee ID.

### m_IsGranteeGroup

    protected boolean m_IsGranteeGroup

  Description copied from class: `AccessControlListResolver.ResolutionGranteeEntry`
  Does this grantee have at least one grant ACE?

### m_IsGranteeWorldGroup

    protected boolean m_IsGranteeWorldGroup

  Description copied from class: `AccessControlListResolver.ResolutionGranteeEntry`
  Does this grantee have at least one grant ACE?

### m_HasGrantedAce

    protected boolean m_HasGrantedAce

  Description copied from class: `AccessControlListResolver.ResolutionGranteeEntry`
  Does this grantee have at least one grant ACE?

### m_IsNonconforming

    protected boolean m_IsNonconforming

  Description copied from class: `AccessControlListResolver.ResolutionGranteeEntry`
  Is this grantee non-conforming

### m_AceIndexes

    protected int[] m_AceIndexes

  Description copied from class: `AccessControlListResolver.ResolutionGranteeEntry`
  Indexes of the ACEdata elements that have the same grantee ID as this entry.

Constructor Detail

### AccessControlListResolver.ResolutionGranteeEntry

    protected AccessControlListResolver.ResolutionGranteeEntry(java.lang.Long granteeId,
                                                               boolean hasGrantedAce,
                                                               boolean isGroup,
                                                               int[] aceIndexes,
                                                               int indexCount)

  Constructs a ResolutionGranteeEntry, with each member of the struct.

Method Detail

### getGrantee

    protected S_DirectoryObject getGrantee(S_LibrarySession sess)
                                    throws IfsException

  Description copied from class: `AccessControlListResolver.ResolutionGranteeEntry`
  Gets the grantee.

  Parameters:
    `sess` - the session context
  Returns:
    the grantee
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD